package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * sql数据集对象 md_data_set_sql
 * 
 * @author 朱得糠
 * @date 2025-09-02
 */
public class MdDataSetSql extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long id;

    /** 数据集id */
    @Excel(name = "数据集id")
    private String dcCode;
    /**
     * 数据源id
     */
    private String dsCode;

    /** 运行sql */
    @Excel(name = "运行sql")
    private String runSql;

    /** 参数列表 多个参数用,分割 */
    @Excel(name = "参数列表 多个参数用,分割")
    private String pars;

    public MdDataSetSql() {
    }

    public String getDsCode() {
        return dsCode;
    }

    public void setDsCode(String dsCode) {
        this.dsCode = dsCode;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDcCode(String dcCode) 
    {
        this.dcCode = dcCode;
    }

    public String getDcCode() 
    {
        return dcCode;
    }
    public void setRunSql(String runSql) 
    {
        this.runSql = runSql;
    }

    public String getRunSql() 
    {
        return runSql;
    }
    public void setPars(String pars) 
    {
        this.pars = pars;
    }

    public String getPars() 
    {
        return pars;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dcCode", getDcCode())
            .append("runSql", getRunSql())
            .append("pars", getPars())
            .toString();
    }
}
